# Uses of Interface
org.eclipse.e4.ui.model.application.ui.MDirtyable

Packages that use MDirtyable
Package
Description
org.eclipse.e4.ui.model.application.ui.basic
Application programming interfaces describing the basic Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.basic.impl
org.eclipse.e4.ui.model.application.ui.basic.util
org.eclipse.e4.ui.model.application.ui.util

## Uses of MDirtyable in org.eclipse.e4.ui.model.application.ui.basic

Subinterfaces of MDirtyable in org.eclipse.e4.ui.model.application.ui.basic
Modifier and Type
Interface
Description
`interface`
`MCompositePart`
A representation of the model object 'Composite Part'.
`interface`
`MPart`
A representation of the model object 'Part'.

## Uses of MDirtyable in org.eclipse.e4.ui.model.application.ui.basic.impl

Classes in org.eclipse.e4.ui.model.application.ui.basic.impl that implement MDirtyable
Modifier and Type
Class
Description
`class`
`CompositePartImpl`
An implementation of the model object 'Composite Part'.
`class`
`PartImpl`
An implementation of the model object 'Part'.

## Uses of MDirtyable in org.eclipse.e4.ui.model.application.ui.basic.util

Methods in org.eclipse.e4.ui.model.application.ui.basic.util with parameters of type MDirtyable
Modifier and Type
Method
Description
`T1`
BasicSwitch.`caseDirtyable(MDirtyable object)`
Returns the result of interpreting the object as an instance of 'Dirtyable'.

## Uses of MDirtyable in org.eclipse.e4.ui.model.application.ui.util

Methods in org.eclipse.e4.ui.model.application.ui.util with parameters of type MDirtyable
Modifier and Type
Method
Description
`T1`
UiSwitch.`caseDirtyable(MDirtyable object)`
Returns the result of interpreting the object as an instance of 'Dirtyable'.